
Redmine - Feature #8138

Assign Priority based on Category

2011-04-13 12:35 - Daniel Hoelbling

Status: New Start date: 2011-04-13

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

I have a rather strange request from a Customer and am wondering if there is already a patch for this somewhere (since I suck at

Ruby).

The basic Idea is that the category a ticket is in determines it's Priority. I can hide the Priority from the form so users can't set that.

But I somehow need to assign the priority based on what category is selected.

It would require extending either the data-model, or hacking directly into issues.rb with some before_create method and a switch

statement on my categories.

Is there an existing patch out there for this? Because I am tempted to simply hack this into issue before_create, but then I'd had to

make sure it only runs on this one project etc..

Related issues:

Has duplicate Redmine - Feature #21224: Assign a priority to a category Closed

History

#1 - 2011-04-13 15:38 - Etienne Massip

- Category set to Issues

#2 - 2011-04-18 11:54 - Daniel Hoelbling

- File 0001-Implemented-IssueCategory-default-Priority-setting.patch added

I think I fixed the issue myself.

Attached you can find my patch that does this pretty much in the same way as assign_to is being handled

Unfortunately I am a complete stranger to Rails so I really didn't know how to effectively write a test for this.. (it's all magic!) but from my testing so far

it works.

greetings Daniel

#3 - 2011-04-18 12:03 - Daniel Hoelbling

- Status changed from New to Resolved

- % Done changed from 0 to 100

Git repo to pull this change from:

https://github.com/tigraine/redmine/tree/category-default-priority

#4 - 2011-10-13 12:07 - Etienne Massip

- Status changed from Resolved to New

#5 - 2016-01-11 10:43 - Go MAEDA

- Has duplicate Feature #21224: Assign a priority to a category added

#6 - 2016-05-25 16:01 - Matias Fusaro

+1
#7 - 2017-10-27 13:46 - Matias Fusaro

Anyone can think of any alternative?

Files

0001-Implemented-IssueCategory-default-Priority-setting.patch 3.99 KB 2011-04-18 Daniel Hoelbling

Powered by TCPDF (www.tcpdf.org)

2025-05-17 2/2

http://www.tcpdf.org

